This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 467546 - Clicking link in Start Page -> Warning Cannt execute /usr/bin/firefox. Check external browser configuration.
Clicking link in Start Page -> Warning Cannt execute /usr/bin/firefox. Check ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netbeans (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Victor G. Vasilyev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-18 07:34 EDT by sangu
Modified: 2008-10-31 23:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: 6.1-9.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-31 23:07:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
NetBeans Project 76970 None None None Never

  None (edit)
Description sangu 2008-10-18 07:34:21 EDT
Description of problem:
Clicking link in Start Page -> Warning Cannt execute /usr/bin/firefox. Check external browser configuration.

$ ls -al /usr/bin/firefox
-rwxr-xr-x 1 root root 4609 2008-09-24 10:18 /usr/bin/firefox

$ rpm -qf /usr/bin/firefox 
firefox-3.0.2-1.fc10.i386

Version-Release number of selected component (if applicable):
6.1-8.fc10

How reproducible:
always

Steps to Reproduce:
1. Launch netbeans
2. Click Quick Start Tutorial in Start Page.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Victor G. Vasilyev 2008-10-20 14:21:42 EDT
WORKAROUND

Please, change command line arguments for the Firefox Web Browser:
1. Start NetBeans
2. Open the "Options" dialog via the menu item [Main Menu]/Tools/Options
3. Select the "General" tab
4. Open the dialog "Web Browsers" by pressing the button "Web Browser: Edit..."
5. Select the "Firefox" item in the list "Web Browsers"
6. Change a value of the text box "Arguments" from
-remote "openURL({URL})"
to
{URL}
7. Close all the opened dialogs by pressing the "OK" buttons.

Note, these changes will affect a current user only.
Comment 2 Victor G. Vasilyev 2008-10-20 14:34:38 EDT
FYI http://wiki.netbeans.org/FirefoxAndNetBeans
Comment 3 Victor G. Vasilyev 2008-10-22 13:08:45 EDT
The release 9 has been committed into CVS repo.
Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=895756

Changes:
- The DESKTOP_STARTUP_ID environment variable is unset in the IDE launcher.

Details about the issue:

To start the Firefox browser the following command is used by the NetBeans:
/usr/bin/firefox -remote "openURL({URL})"
where {URL} is a URL of the Web resource that need to be open.
Such command involves the remote control feature of the browser( http://www.mozilla.org/unix/remote.html ) that is based on the X Window System protocols.

The NetBeans installed on the Fedora can be started via a click on the menu item provided by a desktop environment (e.g. GNOME). In this case, the X Window System protocols are also used to provide communication with the netbeans process that is a launchee process from viewpoint of the desktop environment.

According to the Startup Notification Protocol Specification ( http://standards.freedesktop.org/startup-notification-spec/startup-notification-latest.txt ) the desktop environment will use the DESKTOP_STARTUP_ID environment variable to communicate the startup sequence information.

Also, the specification says:
"It is suggested to unset this environment variable in the launchee
as soon as it's read, to avoid possible reuse by some process started
later by launchee."

The previous release didn't take into account this suggestion, and the DESKTOP_STARTUP_ID environment variable with an inapplicable value was to pass to all processes started later by the NetBeans, including the Firefox browser. Now, it is fixed.

Note You need to log in before you can comment on or make changes to this bug.